Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.event
Class EJB3DeleteEventListener

    java.lang.Object
      org.hibernate.event.def.DefaultDeleteEventListener
          org.hibernate.ejb.event.EJB3DeleteEventListener

All Implemented Interfaces:
  java.io.Serializable, CallbackHandlerConsumer, org.hibernate.event.DeleteEventListener

    public class EJB3DeleteEventListener

extends org.hibernate.event.def.DefaultDeleteEventListener
implements CallbackHandlerConsumer

Overrides the LifeCycle OnSave call to call the PreRemove operation

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Constructor Summary
`EJB3DeleteEventListener()`
`EJB3DeleteEventListener(EntityCallbackHandler callbackHandler)`

Method Summary
`protected boolean` | `invokeDeleteLifecycle(org.hibernate.event.EventSource session, java.lang.Object entity, org.hibernate.persister.entity.EntityPersister persister)`
`protected void` | `performDetachedEntityDeletionCheck(org.hibernate.event.DeleteEvent event)`
`void` | `setCallbackHandler(EntityCallbackHandler callbackHandler)`

Methods inherited from class org.hibernate.event.def.DefaultDeleteEventListener
`cascadeAfterDelete, cascadeBeforeDelete, deleteEntity, deleteTransientEntity, onDelete, onDelete`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJB3DeleteEventListener

    public EJB3DeleteEventListener()

### EJB3DeleteEventListener

    public EJB3DeleteEventListener(EntityCallbackHandler callbackHandler)

Method Detail

### setCallbackHandler

    public void setCallbackHandler(EntityCallbackHandler callbackHandler)

  Specified by:
    `setCallbackHandler` in interface `CallbackHandlerConsumer`

### invokeDeleteLifecycle

    protected boolean invokeDeleteLifecycle(org.hibernate.event.EventSource session,
                                            java.lang.Object entity,
                                            org.hibernate.persister.entity.EntityPersister persister)

  Overrides:
    `invokeDeleteLifecycle` in class `org.hibernate.event.def.DefaultDeleteEventListener`

### performDetachedEntityDeletionCheck

    protected void performDetachedEntityDeletionCheck(org.hibernate.event.DeleteEvent event)

  Overrides:
    `performDetachedEntityDeletionCheck` in class `org.hibernate.event.def.DefaultDeleteEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD